get
https://services.azuga.com/azuga-ws-oauth/v3/groups/.json
This API provides you with information about a single group present in your account.
Warning : Make sure that you are setting the method to GET. The same endpoint is used for deleting a group using DELETE method. The deletion of the group is an irreversible action.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Requesthttps://services.azuga.com/azuga-ws-oauth/v3/groups/0877037f-b921-11ed-83ff-3f266e8313d3
API Response Explanation
| Field | Description | Data Type |
|---|---|---|
| generatedAtInMillis | Time in UTC milliseconds when the API request is made | Long |
| data | The object consists of metadata of the group. | Object |
| groupId | Unique identifier representing the group | String |
| customerId | Unique identifier representing the customer | Long |
| parentId | Unique identifier representing the parent group | String |
| parentName | Name of the parent group | String |
| name | Name of the group | String |
| description | Brief description of the group | String |
| configId | Unique identifier of the configuration | String |
| parentGroup | Object represents the metedata of the parent group | GroupLiteVO |
| groupId | unique identifier of the parent group | String |
| name | Name of the parent group | String |
| configName | Name of the configuration | String |
| createdBy | Unique identifier of the user created the group | String |
| createdAt | Created time of the group in UTC milliseconds | Timestamp |
| lastModifiedBy | Unique identifier of the user updated the group last | String |
| lastModifiedAt | Modified time of the group in UTC milliseconds | Timestamp |
| deleted | Boolean value representing whether the group is deleted. True = Deleted False = Not Deleted | boolean |
| deletedAt | Deleted time in UTC milliseconds | Timestamp |
| color | Text color of the map icon. #ffffff by default | String |
| bgColor | Background color of the map icon #000000 by default | String |
| adminUsers | For internal use | String |
| userList | Array of blocks represents the meta-data of the administrators | List<JobUserVO> |
| id | Unique identifier representing the administrators | String |
| firstName | First name of the administrator | String |
| lastName | Last name of the administrator | String |
| childGroupIds | Unique identifiers representing the child groups | String |
| configuration | Object representing the meta-data of the configuration | ConfigurationVO |
| id | Unique identifier representing the configuration | String |
| name | Name of the configuration | String |
| description | Description of the configuration | String |
| trackingSchedule | For internal use | boolean |
| groupList | For internal use | List<GroupsVO> |
| groupListString | For internal use | String |
| hrsOfOperation | For internal use | List<HoursOfOperationVO> |
| deviceConfigurations | For internal use | Set<DeviceConfiguration> |
| ssodefault | For internal use | boolean |
| error | Error description - if any | List<Error> |

